E-MailRelay

Public Member Functions | List of all members
GNet::SocketProtocolSink Class Referenceabstract

An interface used by GNet::SocketProtocol to deliver data from a socket. More...

`#include <gsocketprotocol.h>`

Inheritance diagram for GNet::SocketProtocolSink:

## Public Member Functions
virtual | ~SocketProtocolSink ()=default
| Destructor.
virtual void | onData (const char *, std::size_t)=0
| Called when data is read from the socket. More...
virtual void | onSecure (const std::string &peer_certificate, const std::string &protocol, const std::string &cipher)=0
| Called once the secure socket protocol has been successfully negotiated.

## Detailed Description

An interface used by GNet::SocketProtocol to deliver data from a socket.

Definition at line 148 of file gsocketprotocol.h.

## Member Function Documentation

## ◆ onData()

virtual void GNet::SocketProtocolSink::onData | ( | const char * | ,
|  | std::size_t |
| ) |  |
| pure virtual

Called when data is read from the socket.

Implemented in GNet::ServerPeer.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gsocketprotocol.h